package com.huimv.getdata.test;

import cn.hutool.db.handler.BeanListHandler;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.support.JdbcUtils;
import org.springframework.util.LinkedCaseInsensitiveMap;

import javax.sql.DataSource;
import java.sql.*;
import java.util.List;
import java.util.Map;

public class TestConnection {
    public static void main(String[] args) throws ClassNotFoundException {
//        try {
//            Class.forName("net.sourceforge.jtds.jdbc.Driver");
//            Connection conn = DriverManager.getConnection(
//                    "jdbc:jtds:sqlserver://218.76.168.4:1433/CMTWeight", "sa", "jh@123");
//            System.out.println("连接成功！");
//            conn.close();
//        } catch (Exception e) {
//            e.printStackTrace();
//        }


        String url = "jdbc:jtds:sqlserver://218.76.168.4:1433/CMTWeight"; // 使用 jTDS 连接字符串
        String user = "sa";
        String password = "jh@123";
        Class.forName("net.sourceforge.jtds.jdbc.Driver");
        try (Connection conn = DriverManager.getConnection(url, user, password)) {
            // 创建 Statement
            Statement stmt = conn.createStatement();
            // 创建 PreparedStatement（推荐）
            String sql = "select * from T_Standard order by F_StdNo desc";
            PreparedStatement pstmt = conn.prepareStatement(sql);
            // 执行查询...
            ResultSet resultSet = pstmt.executeQuery();

//            ResultSetMetaData rsmd = resultSet.getMetaData();
//            int columnCount = rsmd.getColumnCount();
//            Map<String, Object> mapOfColumnValues = new LinkedCaseInsensitiveMap(rsmd.getColumnCount());
//            for(int i = 1; i <= columnCount; ++i) {
//                String column = JdbcUtils.lookupColumnName(rsmd, i);
//                mapOfColumnValues.putIfAbsent(column, JdbcUtils.getResultSetValue(resultSet, i));
//                System.out.println(i);
//            }
//            for (String s : mapOfColumnValues.keySet()) {
//                System.out.println(s + ":"+ mapOfColumnValues.get(s));
//            }
            while (resultSet.next()) {
                String F_CarNo = resultSet.getString("F_CarNo");
                String F_ProName = resultSet.getString("F_ProName");
                String F_Model = resultSet.getString("F_Model");
                System.out.printf("ID: %s, Name: %s, Salary: %s", F_CarNo, F_ProName, F_Model);
            }

        } catch (Exception  e) {
            e.printStackTrace();
        }
    }

    //  url: jdbc:jtds:sqlserver://218.76.168.4:1433/CMTWeight
    //    username: sa
    //    password: jh@123
    //#    driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
    //    driver-class-name: net.sourceforge.jtds.jdbc.Driver
}